Bug 157144 - [PATCH] lang/guile: Add USE_NCURSES=yes
[PATCH] lang/guile: Add USE_NCURSES=yes
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 04:30 UTC by kubito
Modified: 2011-06-02 17:00 UTC (History)
1 user (show)

See Also:


Attachments
guile-1.8.6_6.patch (981 bytes, patch)
2011-05-18 04:30 UTC, kubito
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kubito 2011-05-18 04:30:11 UTC
This patch should fix the problem with happens when devel/ncurses is installed
and is then upgraded (ports which have implicit dependencies end up being
broken).

While here, remove MD5 from distinfo.

Port maintainer (amatus@gnu.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-05-18 04:30:20 UTC
Maintainer of lang/guile,

Please note that PR ports/157144 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157144

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-05-18 04:30:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer 2011-05-24 19:54:58 UTC
State Changed
From-To: feedback->open

From misfiled PR caught in spamtrap: 

Date: Mon, 23 May 2011 18:54:06 -0700 (PDT) 
Comment 4 Martin Wilke freebsd_committer 2011-05-31 04:49:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2011-05-31 04:49:18 UTC
miwi        2011-05-31 03:49:09 UTC

  FreeBSD ports repository

  Modified files:
    lang/guile           Makefile distinfo 
  Log:
  - Add USE_NCURSES
  - While here get rid MD5
  
  PR:             157144
  Submitted by:   Raphael Kubo da Costa <kubito@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.83      +2 -1      ports/lang/guile/Makefile
  1.16      +0 -1      ports/lang/guile/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 send-pr 2011-05-31 11:30:03 UTC
This one is now broken for me. Trying to upgrade guile-1.8.6_5 to 
guile-1.8.6_6 gives below problem. Environment:

FreeBSD box 8.2-STABLE FreeBSD 8.2-STABLE #0 r222096: Thu May 19 
17:57:00 CEST 2011     toor@box:/tmp/obj/usr/src/sys/BM64  amd64

Note:

===>   guile-1.8.6_6 depends on shared library: ltdl.7 - found

vs.

checking for lt_dlinit in -lltdl... no
configure: error: libltdl not found.  See README.

---------------------------------------------------------------------

# portmaster lang/guile

===>>> Currently installed version: guile-1.8.6_5
===>>> Port directory: /usr/ports/lang/guile

===>>> Gathering distinfo list for installed ports

===>>> Launching 'make checksum' for lang/guile in background
===>>> Gathering dependency list for lang/guile from ports
===>>> Initial dependency check complete for lang/guile

===>>> Starting build for lang/guile <<<===

===>>> All dependencies are up to date

===>  Cleaning for guile-1.8.6_6

===>  License check disabled, port has not defined LICENSE
===>  Extracting for guile-1.8.6_6
=> SHA256 Checksum OK for guile-1.8.6.tar.gz.
cd /tmp/usr/ports/lang/guile/work/guile-1.8.6; /bin/chmod u+w 
libguile/smob.c libguile/filesys.c libguile/gc.c  libguile/mallocs.c 
libguile/eval.c libguile/gc-malloc.c  libguile/ports.c 
libguile/gc-mark.c libguile/gc_os_dep.c
===>  Patching for guile-1.8.6_6
===>  Applying FreeBSD patches for guile-1.8.6_6
===>   guile-1.8.6_6 depends on executable: gmake - found
===>   guile-1.8.6_6 depends on file: /usr/local/bin/autoconf-2.68 - found
===>   guile-1.8.6_6 depends on shared library: gmp.10 - found
===>   guile-1.8.6_6 depends on shared library: intl - found
===>   guile-1.8.6_6 depends on shared library: ltdl.7 - found
===>  Configuring for guile-1.8.6_6
configure.in:86: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
aclocal.m4:3592: _LT_SYS_MODULE_PATH_AIX is expanded from...
aclocal.m4:6728: _LT_LINKER_SHLIBS is expanded from...
aclocal.m4:7803: _LT_LANG_C_CONFIG is expanded from...
aclocal.m4:2714: _LT_SETUP is expanded from...
aclocal.m4:2643: LT_INIT is expanded from...
aclocal.m4:2678: AC_PROG_LIBTOOL is expanded from...
configure.in:86: the top level
configure.in:86: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
aclocal.m4:6728: _LT_LINKER_SHLIBS is expanded from...
aclocal.m4:7803: _LT_LANG_C_CONFIG is expanded from...
aclocal.m4:2714: _LT_SETUP is expanded from...
aclocal.m4:2643: LT_INIT is expanded from...
aclocal.m4:2678: AC_PROG_LIBTOOL is expanded from...
configure.in:86: the top level
configure.in:1090: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
configure.in:1090: the top level
configure.in:1099: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
configure.in:1099: the top level
configure.in:1286: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
configure.in:1286: the top level
configure.in:1298: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call 
detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
../../lib/m4sugar/m4sh.m4:606: AS_IF is expanded from...
../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
configure.in:1298: the top level
checking for a BSD-compatible install... /usr/bin/install -c -o root -g 
wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... build-aux/install-sh -c -d
checking for gawk... gawk
checking whether gmake sets $(MAKE)... yes
checking build system type... amd64-portbld-freebsd8.2
checking host system type... amd64-portbld-freebsd8.2
configure: autobuild project... guile
configure: autobuild revision... 1.8.6
configure: autobuild hostname... benmobi.bengrimm.net
configure: autobuild timestamp... 20110531T102611Z
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cpp
checking for gawk... (cached) gawk
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for cc option to accept ISO C89... (cached) none needed
checking whether cc understands -c and -o together... yes
checking for a sed that does not truncate output... /usr/bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for dlfcn.h... yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared 
libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd8.2 ld.so
checking how to hardcode library paths into programs... immediate
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... no
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for lt_dlinit in -lltdl... no
configure: error: libltdl not found.  See README.
===>  Script "configure" failed unexpectedly.
Please report the problem to amatus@gnu.org [maintainer] and attach the
"/tmp/usr/ports/lang/guile/work/guile-1.8.6/config.log" including the output
of the failure of your make command. Also, it might be a good idea to 
provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/lang/guile.

===>>> make failed for lang/guile
===>>> Aborting update

Terminated
Terminated

===>>> You can restart from the point of failure with this command line:
        portmaster <flags> lang/guile
Comment 7 send-pr 2011-05-31 12:51:42 UTC
Harvested the config.log, if it's any help:



This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by guile configure 1.8.6, which was
generated by GNU Autoconf 2.68.  Invocation command line was

   $ ./configure --prefix=/usr/local --mandir=/usr/local/man 
--infodir=/usr/local/info/ --build=amd64-portbld-freebsd8.2

## --------- ##
## Platform. ##
## --------- ##

hostname = box
uname -m = amd64
uname -r = 8.2-STABLE
uname -s = FreeBSD
uname -v = FreeBSD 8.2-STABLE #0 r222096: Thu May 19 17:57:00 CEST 2011 
     toor@box:/tmp/obj/usr/src/sys/BM64

/usr/bin/uname -p = amd64
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /sbin
PATH: /bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/games
PATH: /usr/local/sbin
PATH: /usr/local/bin



## ----------- ##
## Core tests. ##
## ----------- ##

configure:2895: checking for a BSD-compatible install
configure:2963: result: /usr/bin/install -c -o root -g wheel
configure:2974: checking whether build environment is sane
configure:3011: result: yes
configure:3036: checking for a thread-safe mkdir -p
configure:3075: result: build-aux/install-sh -c -d
configure:3088: checking for gawk
configure:3104: found /usr/local/bin/gawk
configure:3115: result: gawk
configure:3126: checking whether gmake sets $(MAKE)
configure:3148: result: yes
configure:3355: checking build system type
configure:3369: result: amd64-portbld-freebsd8.2
configure:3389: checking host system type
configure:3402: result: amd64-portbld-freebsd8.2
configure:3430: autobuild project... guile
configure:3436: autobuild revision... 1.8.6
configure:3441: autobuild hostname... box
configure:3452: autobuild timestamp... 20110531T113926Z
configure:3810: checking for gcc
configure:3837: result: cc
configure:4066: checking for C compiler version
configure:4075: cc --version >&5
cc (GCC) 4.2.2 20070831 prerelease [FreeBSD]
Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:4086: $? = 0
configure:4075: cc -v >&5
Using built-in specs.
Target: amd64-undermydesk-freebsd
Configured with: FreeBSD/amd64 system compiler
Thread model: posix
gcc version 4.2.2 20070831 prerelease [FreeBSD]
configure:4086: $? = 0
configure:4075: cc -V >&5
cc: '-V' option must have argument
configure:4086: $? = 1
configure:4075: cc -qversion >&5
cc: unrecognized option '-qversion'
cc: No input files specified
configure:4086: $? = 1
configure:4106: checking whether the C compiler works
configure:4128: cc -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include  -rpath=/usr/lib:/usr/local/lib conftest.c  >&5
configure:4132: $? = 0
configure:4180: result: yes
configure:4183: checking for C compiler default output file name
configure:4185: result: a.out
configure:4191: checking for suffix of executables
configure:4198: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c  >&5
configure:4202: $? = 0
configure:4224: result:
configure:4246: checking whether we are cross compiling
configure:4254: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c  >&5
configure:4258: $? = 0
configure:4265: ./conftest
configure:4269: $? = 0
configure:4284: result: no
configure:4289: checking for suffix of object files
configure:4311: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:4315: $? = 0
configure:4336: result: o
configure:4340: checking whether we are using the GNU C compiler
configure:4359: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:4359: $? = 0
configure:4368: result: yes
configure:4377: checking whether cc accepts -g
configure:4397: cc -c -g -I/usr/local/include conftest.c >&5
configure:4397: $? = 0
configure:4438: result: yes
configure:4455: checking for cc option to accept ISO C89
configure:4519: cc  -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:4519: $? = 0
configure:4532: result: none needed
configure:4563: checking for style of include used by gmake
configure:4591: result: GNU
configure:4616: checking dependency style of cc
configure:4707: result: gcc3
configure:4727: checking how to run the C preprocessor
configure:4797: result: cpp
configure:4817: cpp -I/usr/local/include conftest.c
configure:4817: $? = 0
configure:4831: cpp -I/usr/local/include conftest.c
conftest.c:9:28: error: ac_nonexistent.h: No such file or directory
configure:4831: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4863: checking for gawk
configure:4890: result: gawk
configure:4904: checking for grep that handles long lines and -e
configure:4962: result: /usr/bin/grep
configure:4967: checking for egrep
configure:5029: result: /usr/bin/grep -E
configure:5034: checking for ANSI C header files
configure:5054: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5054: $? = 0
configure:5127: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c  >&5
configure:5127: $? = 0
configure:5127: ./conftest
configure:5127: $? = 0
configure:5138: result: yes
configure:5151: checking for sys/types.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for sys/stat.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for stdlib.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for string.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for memory.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for strings.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for inttypes.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for stdint.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5151: checking for unistd.h
configure:5151: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5151: $? = 0
configure:5151: result: yes
configure:5164: checking minix/config.h usability
configure:5164: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
conftest.c:52:26: error: minix/config.h: No such file or directory
configure:5164: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <minix/config.h>
configure:5164: result: no
configure:5164: checking minix/config.h presence
configure:5164: cpp -I/usr/local/include conftest.c
conftest.c:19:26: error: minix/config.h: No such file or directory
configure:5164: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h.  */
| #include <minix/config.h>
configure:5164: result: no
configure:5164: checking for minix/config.h
configure:5164: result: no
configure:5185: checking whether it is safe to define __EXTENSIONS__
configure:5203: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5203: $? = 0
configure:5210: result: yes
configure:5225: checking for cc option to accept ISO C89
configure:5302: result: none needed
configure:5323: checking whether cc understands -c and -o together
configure:5351: cc -c conftest.c -o conftest2.o >&5
configure:5355: $? = 0
configure:5361: cc -c conftest.c -o conftest2.o >&5
configure:5365: $? = 0
configure:5420: result: yes
configure:5474: checking for a sed that does not truncate output
configure:5538: result: /usr/bin/sed
configure:5556: checking for fgrep
configure:5618: result: /usr/bin/grep -F
configure:5653: checking for ld used by cc
configure:5720: result: /usr/bin/ld
configure:5727: checking if the linker (/usr/bin/ld) is GNU ld
configure:5742: result: yes
configure:5754: checking for BSD- or MS-compatible name lister (nm)
configure:5803: result: /usr/bin/nm -B
configure:5921: checking the name lister (/usr/bin/nm -B) interface
configure:5928: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:5931: /usr/bin/nm -B "conftest.o"
configure:5934: output
0000000000000000 B some_variable
configure:5941: result: BSD nm
configure:5944: checking whether ln -s works
configure:5948: result: yes
configure:5956: checking the maximum length of command line arguments
configure:6076: result: 262144
configure:6093: checking whether the shell understands some XSI constructs
configure:6103: result: yes
configure:6107: checking whether the shell understands "+="
configure:6113: result: no
configure:6148: checking for /usr/bin/ld option to reload object files
configure:6155: result: -r
configure:6224: checking for objdump
configure:6251: result: objdump
configure:6280: checking how to recognize dependent libraries
configure:6476: result: pass_all
configure:6536: checking for ar
configure:6552: found /usr/bin/ar
configure:6563: result: ar
configure:6641: checking for strip
configure:6657: found /usr/bin/strip
configure:6668: result: strip
configure:6740: checking for ranlib
configure:6756: found /usr/bin/ranlib
configure:6767: result: ranlib
configure:6857: checking command to parse /usr/bin/nm -B output from cc 
object
configure:6975: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:6978: $? = 0
configure:6982: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[	 
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 
\2/p' \> conftest.nm
configure:6985: $? = 0
configure:7039: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c conftstm.o >&5
configure:7042: $? = 0
configure:7080: result: ok
configure:7885: checking for dlfcn.h
configure:7885: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:7885: $? = 0
configure:7885: result: yes
configure:8065: checking for objdir
configure:8080: result: .libs
configure:8372: checking if cc supports -fno-rtti -fno-exceptions
configure:8390: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ 
but not for C
configure:8394: $? = 0
configure:8407: result: no
configure:8427: checking for cc option to produce PIC
configure:8699: result: -fPIC -DPIC
configure:8711: checking if cc PIC flag -fPIC -DPIC works
configure:8729: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include -fPIC -DPIC -DPIC conftest.c >&5
configure:8733: $? = 0
configure:8746: result: yes
configure:8770: checking if cc static flag -static works
configure:8798: result: yes
configure:8813: checking if cc supports -c -o file.o
configure:8834: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include -o out/conftest2.o conftest.c >&5
configure:8838: $? = 0
configure:8860: result: yes
configure:8868: checking if cc supports -c -o file.o
configure:8915: result: yes
configure:8948: checking whether the cc linker (/usr/bin/ld) supports 
shared libraries
configure:9934: result: yes
configure:9971: checking whether -lc should be explicitly linked in
configure:9976: cc -c -O2 -pipe -march=core2 -fno-strict-aliasing 
-I/usr/local/include conftest.c >&5
configure:9979: $? = 0
configure:9994: cc -shared conftest.o  -v -Wl,-soname -Wl,conftest -o 
conftest 2\>\&1 \| /usr/bin/grep  -lc  \>/dev/null 2\>\&1
configure:9997: $? = 0
configure:10009: result: no
configure:10173: checking dynamic linker characteristics
configure:10824: result: freebsd8.2 ld.so
configure:10926: checking how to hardcode library paths into programs
configure:10951: result: immediate
configure:11045: checking for shl_load
configure:11045: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c  >&5
/var/tmp//ccPti7d3.o(.text+0x7): In function `main':
: undefined reference to `shl_load'
configure:11045: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
| /* Define shl_load to an innocuous variant, in case <limits.h> 
declares shl_load.
|    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| #define shl_load innocuous_shl_load
|
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char shl_load (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef shl_load
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char shl_load ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined __stub_shl_load || defined __stub___shl_load
| choke me
| #endif
|
| int
| main ()
| {
| return shl_load ();
|   ;
|   return 0;
| }
configure:11045: result: no
configure:11049: checking for shl_load in -ldld
configure:11074: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c -ldld   >&5
/usr/bin/ld: cannot find -ldld
configure:11074: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char shl_load ();
| int
| main ()
| {
| return shl_load ();
|   ;
|   return 0;
| }
configure:11083: result: no
configure:11088: checking for dlopen
configure:11088: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c  >&5
configure:11088: $? = 0
configure:11088: result: yes
configure:11245: checking whether a program can dlopen itself
configure:11315: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include -DHAVE_DLFCN_H 
-rpath=/usr/lib:/usr/local/lib -Wl,--export-dynamic conftest.c   >&5
configure:11318: $? = 0
configure:11336: result: yes
configure:11341: checking whether a statically linked program can dlopen 
itself
configure:11411: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include -DHAVE_DLFCN_H 
-rpath=/usr/lib:/usr/local/lib -Wl,--export-dynamic -static conftest.c   >&5
configure:11414: $? = 0
Service unavailable
configure:11432: result: no
configure:11471: checking whether stripping libraries is possible
configure:11476: result: yes
configure:11511: checking if libtool supports shared libraries
configure:11513: result: yes
configure:11516: checking whether to build shared libraries
configure:11537: result: yes
configure:11540: checking whether to build static libraries
configure:11544: result: yes
configure:11579: checking for lt_dlinit in -lltdl
configure:11604: cc -o conftest -O2 -pipe -march=core2 
-fno-strict-aliasing -I/usr/local/include 
-rpath=/usr/lib:/usr/local/lib conftest.c -lltdl   >&5
/usr/bin/ld: cannot find -lltdl
configure:11604: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "guile"
| #define PACKAGE_TARNAME "guile"
| #define PACKAGE_VERSION "1.8.6"
| #define PACKAGE_STRING "guile 1.8.6"
| #define PACKAGE_BUGREPORT "bug-guile@gnu.org"
| #define PACKAGE_URL ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char lt_dlinit ();
| int
| main ()
| {
| return lt_dlinit ();
|   ;
|   return 0;
| }
configure:11613: result: no
configure:11623: error: libltdl not found.  See README.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=amd64-portbld-freebsd8.2
ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_FOR_BUILD_set=''
ac_cv_env_CC_FOR_BUILD_value=''
ac_cv_env_CC_set=set
ac_cv_env_CC_value=cc
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -pipe -march=core2 -fno-strict-aliasing'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value=-I/usr/local/include
ac_cv_env_CPP_set=set
ac_cv_env_CPP_value=cpp
ac_cv_env_EMACSLOADPATH_set=''
ac_cv_env_EMACSLOADPATH_value=''
ac_cv_env_EMACS_set=''
ac_cv_env_EMACS_value=''
ac_cv_env_GUILE_FOR_BUILD_set=''
ac_cv_env_GUILE_FOR_BUILD_value=''
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=' -rpath=/usr/lib:/usr/local/lib'
ac_cv_env_LIBS_set=''
ac_cv_env_LIBS_value=''
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=amd64-portbld-freebsd8.2
ac_cv_env_host_alias_set=''
ac_cv_env_host_alias_value=''
ac_cv_env_target_alias_set=''
ac_cv_env_target_alias_value=''
ac_cv_func_dlopen=yes
ac_cv_func_shl_load=no
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_minix_config_h=no
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=amd64-portbld-freebsd8.2
ac_cv_lib_dld_shl_load=no
ac_cv_lib_ltdl_lt_dlinit=no
ac_cv_objext=o
ac_cv_path_EGREP='/usr/bin/grep -E'
ac_cv_path_FGREP='/usr/bin/grep -F'
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_SED=/usr/bin/sed
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP=cpp
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=cc
ac_cv_prog_ac_ct_OBJDUMP=objdump
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c89=''
ac_cv_prog_cc_cc_c_o=yes
ac_cv_prog_cc_g=yes
ac_cv_prog_make_gmake_set=yes
ac_cv_safe_to_define___extensions__=yes
am_cv_CC_dependencies_compiler_type=gcc3
lt_cv_deplibs_check_method=pass_all
lt_cv_dlopen=dlopen
lt_cv_dlopen_libs=''
lt_cv_dlopen_self=yes
lt_cv_dlopen_self_static=no
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=''
lt_cv_ld_reload_flag=-r
lt_cv_nm_interface='BSD nm'
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_gnu_ld=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[	 
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 
\2/p'\'
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) 
$/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ 
]*\)$/  {"\2", (void *) \&\2},/p'\'
lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: 
\([^ ]*\) $/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ 
]*\) \(lib[^ ]*\)$/  {"\2", (void *) \&\2},/p'\'' -e 
'\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ ]*\)$/  {"lib\2", (void *) \&\2},/p'\'
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern 
int \1();/p'\'' -e '\''s/^[ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'
lt_cv_sys_max_cmd_len=262144

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} 
/tmp/usr/ports/lang/guile/work/guile-1.8.6/build-aux/missing --run 
aclocal-1.10'
ALLOCA=''
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} 
/tmp/usr/ports/lang/guile/work/guile-1.8.6/build-aux/missing --run tar'
AR='ar'
AS='as'
AUTOCONF='/usr/local/bin/autoconf-2.68'
AUTOHEADER='/usr/local/bin/autoheader-2.68'
AUTOMAKE='${SHELL} 
/tmp/usr/ports/lang/guile/work/guile-1.8.6/build-aux/missing --run 
automake-1.10'
AWK='gawk'
BUILD_PTHREAD_SUPPORT_FALSE=''
BUILD_PTHREAD_SUPPORT_TRUE=''
CC='cc'
CCDEPMODE='depmode=gcc3'
CCLD_FOR_BUILD=''
CC_FOR_BUILD=''
CFLAGS='-O2 -pipe -march=core2 -fno-strict-aliasing'
CPP='cpp'
CPPFLAGS='-I/usr/local/include'
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
DLLTOOL='dlltool'
DLPREOPEN=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/grep -E'
EMACS=''
EMACSLOADPATH=''
EXEEXT=''
EXTRA_DEFS=''
EXTRA_DOT_DOC_FILES=''
EXTRA_DOT_X_FILES=''
FGREP='/usr/bin/grep -F'
GETTEXT_MACRO_VERSION=''
GMSGFMT=''
GMSGFMT_015=''
GREP='/usr/bin/grep'
GUILE_CFLAGS=''
GUILE_EFFECTIVE_VERSION='1.8'
GUILE_FOR_BUILD=''
GUILE_LIBS=''
GUILE_MAJOR_VERSION='1'
GUILE_MICRO_VERSION='6'
GUILE_MINOR_VERSION='8'
GUILE_VERSION='1.8.6'
HAVE_MAKEINFO_FALSE=''
HAVE_MAKEINFO_TRUE=''
HOST_CC=''
INSTALL_DATA='install  -o root -g wheel -m 444'
INSTALL_PROGRAM='install  -s -o root -g wheel -m 555'
INSTALL_SCRIPT='install  -o root -g wheel -m 555'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
INTLLIBS=''
INTL_MACOSX_LIBS=''
LD='/usr/bin/ld'
LDFLAGS=' -rpath=/usr/lib:/usr/local/lib'
LIBGUILE_INTERFACE='20:0:3'
LIBGUILE_INTERFACE_AGE='3'
LIBGUILE_INTERFACE_CURRENT='20'
LIBGUILE_INTERFACE_REVISION='0'
LIBGUILE_SRFI_SRFI_13_14_INTERFACE='3:1:0'
LIBGUILE_SRFI_SRFI_13_14_INTERFACE_AGE='0'
LIBGUILE_SRFI_SRFI_13_14_INTERFACE_CURRENT='3'
LIBGUILE_SRFI_SRFI_13_14_INTERFACE_REVISION='1'
LIBGUILE_SRFI_SRFI_13_14_MAJOR='3'
LIBGUILE_SRFI_SRFI_1_INTERFACE='3:2:0'
LIBGUILE_SRFI_SRFI_1_INTERFACE_AGE='0'
LIBGUILE_SRFI_SRFI_1_INTERFACE_CURRENT='3'
LIBGUILE_SRFI_SRFI_1_INTERFACE_REVISION='2'
LIBGUILE_SRFI_SRFI_1_MAJOR='3'
LIBGUILE_SRFI_SRFI_4_INTERFACE='3:1:0'
LIBGUILE_SRFI_SRFI_4_INTERFACE_AGE='0'
LIBGUILE_SRFI_SRFI_4_INTERFACE_CURRENT='3'
LIBGUILE_SRFI_SRFI_4_INTERFACE_REVISION='1'
LIBGUILE_SRFI_SRFI_4_MAJOR='3'
LIBGUILE_SRFI_SRFI_60_INTERFACE='2:2:0'
LIBGUILE_SRFI_SRFI_60_INTERFACE_AGE='0'
LIBGUILE_SRFI_SRFI_60_INTERFACE_CURRENT='2'
LIBGUILE_SRFI_SRFI_60_INTERFACE_REVISION='2'
LIBGUILE_SRFI_SRFI_60_MAJOR='2'
LIBICONV=''
LIBINTL=''
LIBLOBJS=''
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LIPO=''
LN_S='ln -s'
LTLIBICONV=''
LTLIBINTL=''
LTLIBOBJS=''
MAKEINFO='${SHELL} 
/tmp/usr/ports/lang/guile/work/guile-1.8.6/build-aux/missing --run makeinfo'
MKDIR_P='build-aux/install-sh -c -d'
MSGFMT=''
MSGFMT_015=''
MSGMERGE=''
NM='/usr/bin/nm -B'
NMEDIT=''
OBJDUMP='objdump'
OBJEXT='o'
OTOOL64=''
OTOOL=''
PACKAGE='guile'
PACKAGE_BUGREPORT='bug-guile@gnu.org'
PACKAGE_NAME='guile'
PACKAGE_STRING='guile 1.8.6'
PACKAGE_TARNAME='guile'
PACKAGE_URL=''
PACKAGE_VERSION='1.8.6'
PATH_SEPARATOR=':'
POSUB=''
PTHREAD_CC=''
PTHREAD_CFLAGS=''
PTHREAD_LIBS=''
RANLIB='ranlib'
SCM_I_GSC_C_INLINE=''
SCM_I_GSC_ENABLE_DEPRECATED=''
SCM_I_GSC_ENABLE_DISCOURAGED=''
SCM_I_GSC_ENABLE_ELISP=''
SCM_I_GSC_GUILE_DEBUG=''
SCM_I_GSC_GUILE_DEBUG_FREELIST=''
SCM_I_GSC_HAVE_STRUCT_DIRENT64=''
SCM_I_GSC_NEEDS_INTTYPES_H=''
SCM_I_GSC_NEEDS_STDINT_H=''
SCM_I_GSC_NEED_BRACES_ON_PTHREAD_MUTEX_INITIALIZER=''
SCM_I_GSC_NEED_BRACES_ON_PTHREAD_ONCE_INIT=''
SCM_I_GSC_STACK_GROWS_UP=''
SCM_I_GSC_T_INT16=''
SCM_I_GSC_T_INT32=''
SCM_I_GSC_T_INT64=''
SCM_I_GSC_T_INT8=''
SCM_I_GSC_T_INTMAX=''
SCM_I_GSC_T_PTRDIFF=''
SCM_I_GSC_T_UINT16=''
SCM_I_GSC_T_UINT32=''
SCM_I_GSC_T_UINT64=''
SCM_I_GSC_T_UINT8=''
SCM_I_GSC_T_UINTMAX=''
SCM_I_GSC_USE_NULL_THREADS=''
SCM_I_GSC_USE_PTHREAD_THREADS=''
SED='/usr/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
STRIP='strip'
USE_NLS=''
VERSION='1.8.6'
XGETTEXT=''
XGETTEXT_015=''
XGETTEXT_EXTRA_OPTIONS=''
ac_ct_CC='cc'
ac_ct_DUMPBIN=''
acx_pthread_config=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='amd64-portbld-freebsd8.2'
build_alias='amd64-portbld-freebsd8.2'
build_cpu='amd64'
build_os='freebsd8.2'
build_vendor='portbld'
cross_compiling='no'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
have_makeinfo=''
host='amd64-portbld-freebsd8.2'
host_alias=''
host_cpu='amd64'
host_os='freebsd8.2'
host_vendor='portbld'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/local/info'
install_sh='$(SHELL) 
/tmp/usr/ports/lang/guile/work/guile-1.8.6/build-aux/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
lispdir=''
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
lt_ECHO='echo'
mandir='/usr/local/man'
mkdir_p='$(top_builddir)/build-aux/install-sh -c -d'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sitedir=''
subdirs=' guile-readline'
sysconfdir='${prefix}/etc'
target_alias=''
top_builddir_absolute=''
top_srcdir_absolute=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "guile"
#define PACKAGE_TARNAME "guile"
#define PACKAGE_VERSION "1.8.6"
#define PACKAGE_STRING "guile 1.8.6"
#define PACKAGE_BUGREPORT "bug-guile@gnu.org"
#define PACKAGE_URL ""
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define __EXTENSIONS__ 1
#define _ALL_SOURCE 1
#define _GNU_SOURCE 1
#define _POSIX_PTHREAD_SEMANTICS 1
#define _TANDEM_SOURCE 1
#define HAVE_DLFCN_H 1
#define LT_OBJDIR ".libs/"

configure: exit 1
Comment 8 Ben.Grimm 2011-06-02 16:34:29 UTC
Never mind. After updating a number of totally unrelated ports today 
guile built normally.